<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionCountRemaining](./bitburner.bladeburner.getactioncountremaining.md)

## Bladeburner.getActionCountRemaining() method

Get action count remaining.

**Signature:**

```typescript
getActionCountRemaining(type: BladeburnerActionType, name: BladeburnerActionName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

type


</td><td>

[BladeburnerActionType](./bitburner.bladeburneractiontype.md)


</td><td>

Type of action.


</td></tr>
<tr><td>

name


</td><td>

[BladeburnerActionName](./bitburner.bladeburneractionname.md)


</td><td>

Name of action. Must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

number

Remaining count of the specified action.

## Remarks

RAM cost: 4 GB

Returns the remaining count of the specified action.

Note:

- This function is meant to be used for Contracts and Operations. It returns Infinity for General actions (Training, Field Analysis, etc.). It returns 1 for BlackOps not yet completed, regardless of whether the player has the required rank to attempt the mission.

- With Contracts and Operations, the returned value is a floating-point number. The UI shows the rounded-down value.

